Subject: AW: bug#12807: 24.2; Emacs cannot edit file with funny Unicode characters in the file name on Windows

From: Nils Gösche <[email-masked]>
Date: Mon, 5 Nov 2012 23:05:57 +0100

You wrote:

> Emacs on Windows currently supports only file names that can be
> expressed in the system codepage.  So unless someone writes the code to
> support the Unicode APIs throughout, this limitation will remain for
> some time to come.  Volunteers are welcome.

Subtle hint noted. Ok ok, I'll look into it.

> > (BTW, Notepad does not have any problems editing the same file. So,
> it
> > is not some weird, OS-related problem, either).
> 
> Yes, but the Explorer and the Notepad are about the only programs that
> do.  Many others don't.  Emacs is one of them.

»About the only« is a bit of an exaggeration ;-)  Anything that is written
in C# or Java shouldn't have that problem; or Common Lisp, come to think of
it. But yeah, back in the old days, pretty much nobody felt like using
wchar_t instead of char everywhere in C. I didn't, either, back then. (Not
to mention that in the really old days, wchar_t didn't even exist ;-)

I'll see what I can do.

Regards,
-- 
Nils Gösche
Don't ask for whom the <Ctrl-G> tolls.